from robot import iCubHelper
icub = iCubHelper()

from pykron.core import Pykron
import yarp
import time


time_closing_eyes = 2
time_opening_eyes = 0.5
time_mutual_gaze = 2
time_avoiding_gaze = 2
soa = 1


icub.initGaze()
for _ in range(0,10):
    req1 = icub.CloseEyes()
    req2 = icub.lookRest() # wait for comp
    Pykron.join([req1, req2])

    closing_eyes_duration = (req1.task.duration+req2.task.duration)

    if closing_eyes_duration > time_closing_eyes:
        closing_eyes_invalid = 1
    else:
        closing_eyes_invalid = 0
        yarp.delay(time_closing_eyes - closing_eyes_duration)

    req = icub.OpenEyes()
    req.wait_for_completed()
    opening_eyes_duration = req.task.duration

    if opening_eyes_duration > time_opening_eyes:
        opening_eyes_invalid = 1
    else:
        opening_eyes_invalid = 0
        yarp.delay(time_opening_eyes - opening_eyes_duration)


    print("EYELIDS VALIDITY: ", closing_eyes_invalid, opening_eyes_invalid)

    landmarks = icub.findLandmarks().wait_for_completed()
    if landmarks == None:
        landmarks_invalid = 1
    else:
        landmarks_invalid = 0

    print("LANDMARKS VALIDITY: ", landmarks)

    req = icub.lookAtPPT(landmarks)
    req.wait_for_completed()
    yarp.delay(time_mutual_gaze)

    req = icub.lookRight()
    req.wait_for_completed()
    yarp.delay(soa)


icub.close()
